Name:    dolphin
Summary: KDE File Manager
Version: 15.12.3
Release: 1%{?dist}

License: GPLv2+
URL:     https://projects.kde.org/%{name}
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  extra-cmake-modules
BuildRequires:  qt5-qtbase-devel
BuildRequires:  kf5-rpm-macros
BuildRequires:  kf5-kdelibs4support-devel
BuildRequires:  kf5-kdoctools-devel
BuildRequires:  kf5-kinit-devel
BuildRequires:  kf5-kcmutils-devel
BuildRequires:  kf5-knewstuff-devel
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kdbusaddons-devel
BuildRequires:  kf5-kbookmarks-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-kparts-devel
BuildRequires:  kf5-solid-devel
BuildRequires:  kf5-kiconthemes-devel
BuildRequires:  kf5-kcompletion-devel
BuildRequires:  kf5-ktexteditor-devel
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  kf5-knotifications-devel
BuildRequires:  kf5-kactivities-devel

BuildRequires:  kf5-baloo-devel
BuildRequires:  kf5-kfilemetadata-devel

BuildRequires:  phonon-qt5-devel

%global majmin_ver %(echo %{version} | cut -d. -f1,2)
BuildRequires:  baloo-widgets-devel >= %{majmin_ver}

BuildRequires:  libappstream-glib

Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
%{?kf5_kinit_requires}

%description
%{summary}.

%package        libs
Summary:        Dolphin runtime libraries
%description    libs
%{summary}.

%package        devel
Summary:        Developer files for %{name}
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
Requires:       qt5-qtbase-devel%{?_isa}
Requires:       kf5-kio-devel%{?_isa}
%description    devel
%{summary}.


%prep
%setup -q -n %{name}-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%check
appstream-util validate-relax --nonet %{buildroot}%{_kf5_datadir}/appdata/org.kde.%{name}.appdata.xml ||:
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.%{name}.desktop ||:


%posttrans
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
fi

%files
%license COPYING*
%doc README
%{_kf5_bindir}/%{name}
%{_kf5_bindir}/servicemenuinstallation
%{_kf5_bindir}/servicemenudeinstallation
%{_sysconfdir}/xdg/servicemenu.knsrc
%{_kf5_libdir}/libkdeinit5_dolphin.so
%{_kf5_datadir}/kservices5/kcmdolphin*.desktop
%{_kf5_datadir}/config.kcfg/dolphin_*
%{_datadir}/dbus-1/services/org.kde.dolphin.FileManager1.service
%{_kf5_datadir}/appdata/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/applications/org.kde.%{name}.desktop
%{_kf5_datadir}/kservicetypes5/fileviewversioncontrolplugin.desktop
%{_kf5_datadir}/kxmlgui5/%{name}/
%lang(en) %{_kf5_docdir}/HTML/en/%{name}/

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kf5_libdir}/libdolphinprivate.so.*
%{_kf5_libdir}/libdolphinvcs.so.*
%{_kf5_qtplugindir}/kcm_*.so
%{_kf5_datadir}/kxmlgui5/dolphinpart/
%{_kf5_qtplugindir}/dolphinpart.so
%{_kf5_datadir}/kservices5/dolphinpart.desktop

%files devel
%{_includedir}/Dolphin/
%{_includedir}/dolphin_export.h
%{_kf5_libdir}/cmake/DolphinVcs/
%{_kf5_libdir}/libdolphinvcs.so
%{_datadir}/dbus-1/interfaces/org.freedesktop.FileManager1.xml


%changelog
* Sun Mar 13 2016 Rex Dieter <rdieter@fedoraproject.org> - 15.12.3-1
- 15.12.3

* Sun Feb 14 2016 Rex Dieter <rdieter@fedoraproject.org> - 15.12.2-1
- 15.12.2

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 15.12.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 18 2016 Rex Dieter <rdieter@fedoraproject.org> 15.12.1-2
- cosmetics, tighten BR: baloo-widgets, -BR: cmake

* Mon Jan 18 2016 Rex Dieter <rdieter@fedoraproject.org> - 15.12.1-1
- 15.12.1

* Fri Jan 01 2016 Rex Dieter <rdieter@fedoraproject.org> - 15.12.0-2
- %kf5_kinit_requires (#1294982), cosmetics
- libs: move remaining plugins here, drop (arch'd) dep on main pkg

* Sun Dec 20 2015 Rex Dieter <rdieter@fedoraproject.org> 15.12.0-1
- 15.12.0

* Tue Nov 17 2015 Rex Dieter <rdieter@fedoraproject.org> - 15.08.3-1
- 15.08.3

* Tue Sep 15 2015 Rex Dieter <rdieter@fedoraproject.org> - 15.08.1-1
- 15.08.1
- cosmetics, move dolphinpart to -libs
- relax BR on baloo-widgets

* Mon Aug 31 2015 Daniel Vrátil <dvratil@redhat.com> - 15.08.0-1
- Reviving Dolphin stand-alone package (#1258430)
